﻿Imports Wiker.WIDatabase
Imports System.Collections.ObjectModel

Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Str As String
        Dim DBInfo As CDatabaseInfo
        Dim Inserts As Collection(Of CInsertItem)
        Dim Record As CInsertItem

        ' Create DatabaseInfo object with login info  
        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 
        WIDB = New WIDatabase(DBInfo)

        ' Calling Insert.Clear() ensures we are not inserting extraneous data. 
        WIDB.Insert.Clear()

        ' Insert.Table([tableName]) indicates the table into which the data will be placed 
        WIDB.Insert.Table("tblAddress")

        Inserts = New Collection(Of CInsertItem)()
        For i As Integer = 0 To 999
            Record = New CInsertItem()
            Record.Clear()
            Record.Column("Address1", i.ToString() & " Fake St")
            Record.Column("Address2", "APT " & i.ToString())
            Record.Column("City", "Springfield")
            Record.Column("State", "KY")
            Record.Column("ZipCode", "40069")
            Inserts.Add(Record)
        Next

        ' Insert.Execute() inserts the data. 
        If Not WIDB.Insert.Bulk(Inserts) Then
            Str = String.Format("Failed to insert address." & vbLf & "LastError = {0}" & vbLf & "{1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage)
        Else
            Str = "Bulk inserted records."
        End If

        ' Good practice is to close the DB when finished 

        WIDB.Close()

        Console.WriteLine(Str)

    End Sub

End Module
