﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/18 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;

namespace Simple
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/18 TPR Created
   *******************************************************************************/
   class Program
   {
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/18 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);
               
         /* Calling Update.Clear() ensures we are starting a new statement. */
         WIDB.Update.Clear();
                                   
         /* Update.Column: List of columns which will have their data updated */
         WIDB.Update.Column("Address2","APT 8888888");

         /* Update.Table([tableName]) indicates the table which will have data updated */
         WIDB.Update.Table("tblAddress");

         /* Update.Condition: conditional clause to select data which will be updated. */
         WIDB.Update.Condition("AddressID", eOperator.Equal, 128);        

         /* Update.Execute() updates the data. */
         if (!WIDB.Update.Execute())
            Str = string.Format("Failed to update record(s).\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);            
         else
            Str = "Updated Records";
         
         /* Good practice is to close the DB when finished */
         WIDB.Close();

         Console.WriteLine(Str);
      }
   }/* End Class */
}/* End NameSpace */
